/* glprint.c generated from proto/glxcmds.e with glprint.awk */
#include "scope.h"
#include "x11.h"
#include "glxOps.h"
#define GLX_CONTEXT_TAG CARD32
#define GLX_CONTEXT CARD32
#define GLX_DRAWABLE CARD32
#define GLX_CONTEXT_ID CARD32
#define GLX_PIXMAP CARD32
#define ENUM GLENUM
#define BOOL32 CARD32
#define LISTofCARD16 CARD16
#define LISTofCARD32 CARD32
#define LISTofINT32 CARD32
#define LISTofFLOAT32 CARD32
#define LISTofFLOAT64 CARD32
#define LISTofBYTE CARD8
#define LISTofBOOL BOOL
int m = 8; /* kludge for glXVendorPrivateWithReply */
 
#include "glRenderLarge.h"

GLXQueryVersion(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, CARD32, "client major version");
  PrintField(buf, 8, 4, CARD32, "client minor version");
}

GLXQueryVersionReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 8, 4, CARD32, "server major version");
  PrintField(buf, 12, 4, CARD32, "server minor version");
}

GLXCreateContext(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT, "context");
  PrintField(buf, 8, 4, VISUALID, "visual");
  PrintField(buf, 12, 4, CARD32, "screen");
  PrintField(buf, 16, 4, GLX_CONTEXT, "share_list");
  PrintField(buf, 20, 1, BOOL, "is_direct");
}

GLXDestroyContext(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT, "context");
}

GLXMakeCurrent(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_DRAWABLE, "drawable");
  PrintField(buf, 8, 4, GLX_CONTEXT, "context");
  PrintField(buf, 12, 4, GLX_CONTEXT_TAG, "old context tag");
}

GLXMakeCurrentReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 8, 4, GLX_CONTEXT_TAG, "new context tag");
}

GLXIsDirect(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT, "context");
}

GLXIsDirectReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 8, 1, BOOL, "is_direct");
}

GLXCopyContext(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT, "source context");
  PrintField(buf, 8, 4, GLX_CONTEXT, "destination context");
  PrintField(buf, 12, 4, BITFIELD, "mask");
/********
		0x00000001	GL_CURRENT_BIT
********/
/********
		0x00000002	GL_POINT_BIT
********/
/********
		0x00000004	GL_LINE_BIT
********/
/********
		0x00000008	GL_POLYGON_BIT
********/
/********
		0x00000010	GL_POLYGON_STIPPLE_BIT
********/
/********
		0x00000020	GL_PIXEL_MODE_BIT
********/
/********
		0x00000040	GL_LIGHTING_BIT
********/
/********
		0x00000080	GL_FOG_BIT
********/
/********
		0x00000100	GL_DEPTH_BUFFER_BIT
********/
/********
		0x00000200	GL_ACCUM_BUFFER_BIT
********/
/********
		0x00000400	GL_STENCIL_BUFFER_BIT
********/
/********
		0x00000800	GL_VIEWPORT_BIT
********/
/********
		0x00001000	GL_TRANSFORM_BIT
********/
/********
		0x00002000	GL_ENABLE_BIT
********/
/********
		0x00004000	GL_COLOR_BUFFER_BIT
********/
/********
		0x00008000	GL_HINT_BIT
********/
/********
		0x00010000	GL_EVAL_BIT
********/
/********
		0x00020000	GL_LIST_BIT
********/
/********
		0x00040000	GL_TEXTURE_BIT
********/
/********
		0x00080000	GL_SCISSOR_BIT
********/
/********
		0x000fffff	GL_ALL_ATTRIB_BITS
********/
  PrintField(buf, 16, 4, GLX_CONTEXT_TAG, "source context tag");
}

GLXWaitGL(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
}

GLXWaitX(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
}

GLXSwapBuffers(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, GLX_DRAWABLE, "drawable");
}

GLXUseXFont(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, FONT, "font");
  PrintField(buf, 12, 4, CARD32, "first");
  PrintField(buf, 16, 4, CARD32, "count");
  PrintField(buf, 20, 4, CARD32, "list base");
}

GLXCreateGLXPixmap(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, CARD32, "screen");
  PrintField(buf, 8, 4, VISUALID, "visual");
  PrintField(buf, 12, 4, PIXMAP, "pixmap");
  PrintField(buf, 16, 4, GLX_PIXMAP, "glx_pixmap");
}

GLXDestroyGLXPixmap(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_PIXMAP, "glx_pixmap");
}

GLXGetVisualConfigs(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, CARD32, "screen");
}

GLXGetVisualConfigsReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 8, 4, CARD32, "num_visuals");
  PrintField(buf, 12, 4, CARD32, "num_properties");
  PrintList(buf+32, 4*n/4, CARD32, "properties");
}

GLXVendorPrivate(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, CARD32, "vendor-specific opcode");
  PrintList(buf+8, n/1, BYTE, "vendor-specific data");
}

GLXVendorPrivateWithReply(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, CARD32, "vendor-specific opcode");
  PrintList(buf+8, m/1, BYTE, "vendor-specific data");
}

GLXVendorPrivateWithReplyReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintList(buf+8, 24/1, BYTE, "returned data");
  PrintList(buf+32, 4*n/1, BYTE, "more returned data");
}

GLXNewList(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, CARD32, "list");
  PrintField(buf, 12, 4, ENUM, "mode");
}

GLXEndList(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
}

GLXDeleteLists(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, CARD32, "list");
  PrintField(buf, 12, 4, INT32, "range");
}

GLXGenLists(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, INT32, "range");
}

GLXGenListsReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 8, 4, CARD32, "return value");
}

GLXGetLightfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "light");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetLightfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "params");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "params");
  }
}

GLXGetLightiv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "light");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetLightivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "params");
  } else {
    PrintList(buf+32, n*4/4, INT32, "params");
  }
}

GLXGetMapdv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, ENUM, "query");
}

GLXGetMapdvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 8, FLOAT64, "v");
  } else {
    PrintList(buf+32, n*8/8, FLOAT64, "v");
  }
}

GLXGetMapfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, ENUM, "query");
}

GLXGetMapfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "v");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "v");
  }
}

GLXGetMapiv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, ENUM, "query");
}

GLXGetMapivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "v");
  } else {
    PrintList(buf+32, n*4/4, INT32, "v");
  }
}

GLXGetMaterialfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "face");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetMaterialfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "params");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "params");
  }
}

GLXGetMaterialiv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "face");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetMaterialivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "params");
  } else {
    PrintList(buf+32, n*4/4, INT32, "params");
  }
}

GLXGetPixelMapfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "map");
}

GLXGetPixelMapfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "values");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "values");
  }
}

GLXGetPixelMapuiv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "map");
}

GLXGetPixelMapuivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, CARD32, "values");
  } else {
    PrintList(buf+32, n*4/4, CARD32, "values");
  }
}

GLXGetPixelMapusv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "map");
}

GLXGetPixelMapusvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 2, CARD16, "values");
  } else {
    PrintList(buf+32, n*2/2, CARD16, "values");
  }
}

GLXGetTexEnvfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetTexEnvfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "params");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "params");
  }
}

GLXGetTexEnviv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetTexEnvivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "params");
  } else {
    PrintList(buf+32, n*4/4, INT32, "params");
  }
}

GLXGetTexGendv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "coord");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetTexGendvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 8, FLOAT64, "params");
  } else {
    PrintList(buf+32, n*8/8, FLOAT64, "params");
  }
}

GLXGetTexGenfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "coord");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetTexGenfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "params");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "params");
  }
}

GLXGetTexGeniv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "coord");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetTexGenivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "params");
  } else {
    PrintList(buf+32, n*4/4, INT32, "params");
  }
}

GLXGetTexParameterfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetTexParameterfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "params");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "params");
  }
}

GLXGetTexParameteriv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, ENUM, "pname");
}

GLXGetTexParameterivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "params");
  } else {
    PrintList(buf+32, n*4/4, INT32, "params");
  }
}

GLXGetTexLevelParameterfv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, INT32, "level");
  PrintField(buf, 16, 4, ENUM, "pname");
}

GLXGetTexLevelParameterfvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "params");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "params");
  }
}

GLXGetTexLevelParameteriv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, INT32, "level");
  PrintField(buf, 16, 4, ENUM, "pname");
}

GLXGetTexLevelParameterivReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "params");
  } else {
    PrintList(buf+32, n*4/4, INT32, "params");
  }
}

GLXIsEnabled(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "cap");
}

GLXIsEnabledReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 8, 4, BOOL32, "return value");
}

GLXIsList(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, CARD32, "list");
}

GLXIsListReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 8, 4, BOOL32, "return value");
}

GLXFeedbackBuffer(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, INT32, "size");
  PrintField(buf, 12, 4, ENUM, "type");
}

GLXFinish(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
}

GLXFinishReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
}

GLXFlush(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
}

GLXGetBooleanv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "pname");
}

GLXGetBooleanvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 1, BOOL, "params");
  } else {
    PrintList(buf+32, n/1, BOOL, "params");
  }
}

GLXGetClipPlane(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "plane");
}

GLXGetClipPlaneReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintList(buf+32, 32/8, FLOAT64, "equation");
/********
	1	1		Reply
********/
  PrintField(buf, 65, 2, CARD16, "sequence number");
}

GLXGetDoublev(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "pname");
}

GLXGetDoublevReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 8, FLOAT64, "params");
  } else {
    PrintList(buf+32, n*8/8, FLOAT64, "params");
  }
}

GLXGetError(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
}

GLXGetErrorReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 8, 4, glErrorCode, "error");
}

GLXGetFloatv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "pname");
}

GLXGetFloatvReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, FLOAT32, "params");
  } else {
    PrintList(buf+32, n*4/4, FLOAT32, "params");
  }
}

GLXGetIntegerv(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "pname");
}

GLXGetIntegervReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  n = ILong(&buf[12]);
  if (n == 1) {
    PrintField(buf, 16, 4, INT32, "params");
  } else {
    PrintList(buf+32, n*4/4, INT32, "params");
  }
}

GLXGetString(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "name");
}

GLXGetStringReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 12, 4, CARD32, "n");
  PrintField(buf, 32, n, STRING8, "string");
}

GLXPixelStoref(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "pname");
  PrintField(buf, 12, 4, FLOAT32, "param");
}

GLXPixelStorei(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "pname");
  PrintField(buf, 12, 4, INT32, "param");
}

GLXRenderMode(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "mode");
/********
		0x1C00		GL_RENDER
********/
/********
		0x1C01		GL_FEEDBACK
********/
/********
		0x1C02		GL_SELECT
********/
}

GLXRenderModeReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 8, 4, INT32, "return value");
  PrintField(buf, 12, 4, CARD32, "n");
  PrintField(buf, 16, 4, ENUM, "new_mode");
  PrintList(buf+32, n*4/4, FLOAT32, "feedback data");
/********
	1	1		Reply
********/
  PrintField(buf, 33, 2, CARD16, "sequence number");
  PrintField(buf, 35, 4, CARD32, "reply length");
  PrintField(buf, 39, 4, INT32, "return value");
  PrintField(buf, 43, 4, CARD32, "n");
  PrintField(buf, 47, 4, ENUM, "new_mode");
  PrintList(buf+63, n*4/4, CARD32, "selection data");
}

GLXSelectBuffer(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, INT32, "size");
/********
	Selection data is returned in the reply of the next RenderMode request.
********/
/********
These commands return images of pixel data; for more details about the 
********/
/********
encoding of pixel images, see Appendix A, "Pixel Data".
********/
/********
The valid values for the $format$ parameter of ReadPixels and GetTexImage are:
********/
/********
center allbox;
********/
/********
c c 
********/
/********
l c.
********/
/********
\fIformat\fP	encoding
********/
/********
GL_COLOR_INDEX$"" sup 1$	0x1900
********/
/********
GL_STENCIL_INDEX$"" sup 1$	0x1901
********/
/********
GL_DEPTH_COMPONENT$"" sup 1$	0x1902
********/
/********
GL_RED	0x1903
********/
/********
GL_GREEN	0x1904
********/
/********
GL_BLUE	0x1905
********/
/********
GL_ALPHA	0x1906
********/
/********
GL_RGB	0x1907
********/
/********
GL_RGBA	0x1908
********/
/********
GL_LUMINANCE	0x1909
********/
/********
GL_LUMINANCE_ALPHA	0x190A
********/
/********
Table 1: Pixel Formats
********/
/********
$"" sup 1$ Not valid for GetTexImage.
********/
/********
The valid values for the $type$ parameter of ReadPixels and GetTexImage are:
********/
/********
center allbox;
********/
/********
c c
********/
/********
l c.
********/
/********
\fItype\fP	encoding
********/
/********
GL_BITMAP$"" sup 2$	0x1A00
********/
/********
GL_BYTE	0x1400
********/
/********
GL_UNSIGNED_BYTE	0x1401
********/
/********
GL_SHORT	0x1402
********/
/********
GL_UNSIGNED_SHORT	0x1403
********/
/********
GL_INT	0x1404
********/
/********
GL_UNSIGNED_INT	0x1405
********/
/********
GL_FLOAT	0x1406
********/
/********
Table 2: Pixel Types
********/
/********
$"" sup 2$ Valid only if $format$ is GL_COLOR_INDEX or GL_STENCIL_INDEX.
********/
}

GLXGetPolygonStipple(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 1, BOOL, "lsb_first");
}

GLXGetPolygonStippleReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintList(buf+32, 128/1, BYTE, "stipple");
/********
	1	1		Reply
********/
  PrintField(buf, 161, 2, CARD16, "sequence number");
/********
The structure of \fIstipple\fP is described in more detail in Appendix A,
********/
/********
"Pixel Data", using the parameter \fIlsb_first\fP as given in the request,
********/
/********
and \fIformat\fP=GL_COLOR_INDEX, \fItype\fP=GL_BITMAP, \fIwidth\fP=32, and 
********/
/********
\fIheight\fP=32.
********/
}

GLXGetTexImage(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, ENUM, "target");
  PrintField(buf, 12, 4, INT32, "level");
  PrintField(buf, 16, 4, ENUM, "format");
  PrintField(buf, 20, 4, ENUM, "type");
  PrintField(buf, 24, 1, BOOL, "swap_bytes");
}

GLXGetTexImageReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintField(buf, 16, 4, INT32, "width");
  PrintField(buf, 20, 4, INT32, "height");
  PrintList(buf+32, 4*n/1, BYTE, "teximage");
/********
$type$ is not one of the types in Table 2, the command is erroneous.
********/
/********
The structure of \fIteximage\fP is described in more detail in Appendix A,
********/
/********
"Pixel Data", using the parameters \fIswap_bytes\fP, 
********/
/********
\fIformat\fP, and \fItype\fP as given in the request, and \fIwidth\fP and 
********/
/********
\fIheight\fP as given in the reply.  No extra padding is needed after 
********/
/********
\fIteximage\fP because the image format already pads to 32 bits.
********/
}

GLXReadPixels(buf,n)
unsigned char *buf;
int n;
{
  PrintField(buf, 4, 4, GLX_CONTEXT_TAG, "context tag");
  PrintField(buf, 8, 4, INT32, "x");
  PrintField(buf, 12, 4, INT32, "y");
  PrintField(buf, 16, 4, INT32, "width");
  PrintField(buf, 20, 4, INT32, "height");
  PrintField(buf, 24, 4, ENUM, "format");
  PrintField(buf, 28, 4, ENUM, "type");
  PrintField(buf, 32, 1, BOOL, "swap_bytes");
  PrintField(buf, 33, 1, BOOL, "lsb_first");
}

GLXReadPixelsReply(buf)
unsigned char *buf;
{
  short n;
 
  PrintField(buf, 2, 2, CARD16, "sequence number");
  PrintField(buf, 4, 4, CARD32, "reply length");
  PrintList(buf+32, 4*n/1, BYTE, "pixels");
/********
$type$ is not one of the types in Table 2, the command is erroneous.
********/
/********
The structure of \fIpixels\fP is described in more detail in Appendix A,
********/
/********
"Pixel Data", using the parameters \fIwidth\fP, \fIheight\fP, \fIformat\fP, 
********/
/********
\fItype\fP, \fIswap_bytes\fP, and \fIlsb_first\fP as given in the 
********/
/********
request.  No extra padding is needed after \fIpixels\fP because the image 
********/
/********
format already pads to 32 bits.
********/
}
